"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../src");
const bun_test_1 = require("bun:test");
if (!process.env.APIKEY)
    throw new Error("APIKEY is not defined");
const client = new src_1.publicAPI(process.env.APIKEY); //Cek APIkey di https://trakteer.id/manage/api-trakteer
(0, bun_test_1.describe)("it should get user info", () => {
    (0, bun_test_1.test)("quantityGiven", () => __awaiter(void 0, void 0, void 0, function* () {
        const result = yield client.quantityGiven("test@example.com");
        (0, bun_test_1.expect)(result).toBeObject();
    }));
    (0, bun_test_1.test)("supportHistory", () => __awaiter(void 0, void 0, void 0, function* () {
        const result = yield client.supportHistory();
        (0, bun_test_1.expect)(result).toBeObject();
        console.log(result);
    }));
    (0, bun_test_1.test)("currentBalance", () => __awaiter(void 0, void 0, void 0, function* () {
        const result = yield client.currentBalance();
        (0, bun_test_1.expect)(result).toBeNumber();
    }));
    (0, bun_test_1.test)("transactionHistory", () => __awaiter(void 0, void 0, void 0, function* () {
        const result = yield client.transactionHistory();
        (0, bun_test_1.expect)(result).toBeObject();
        console.log(result);
    }));
});
